package cn.freemud.demo.manager.customer;

import cn.freemud.demo.entities.*;
import cn.freemud.entities.dto.GetPaidRuleRequestDto;
import cn.freemud.entities.dto.GetPaidRuleResponseDto;
import org.springframework.stereotype.Service;

@Service
public class CustomerManager {

    public CustomerInfo getUserInfo(String sessionId, CustomerService customerService) {
        CustomerInfo userInfoByUserId = customerService.getUserInfoByUserId(sessionId);
        return userInfoByUserId;
    }

    public ReceiveAddressBO queryReceiveAddressById(QueryReceiveAddressByIdBO queryReceiveAddressByIdBO, CustomerService customerService) {
        ReceiveAddressBO receiveAddressBO = customerService.queryReceiveAddressById(queryReceiveAddressByIdBO);
        return receiveAddressBO;
    }

    public UserScoreUserDetailBO getUserScoreUseDetail(GetUserScoreUseDetailBO queryReceiveAddressByIdBO, CustomerService customerService) {
        UserScoreUserDetailBO userScoreUserDetail = customerService.getUserScoreUseDetail(queryReceiveAddressByIdBO);
        return userScoreUserDetail;
    }


    public PaidRuleResponseBO getPaidRule(GetPaidRuleRequestBO getPaidRuleRequestBO, CustomerService customerService) {
        PaidRuleResponseBO userScoreUserDetail = customerService.getPaidRule(getPaidRuleRequestBO);
        return userScoreUserDetail;
    }

}
